TAP version 13 ok 1 - mocha v5.2.0
# SKIP Install Timed Out ---
# > uws@9.14.0 install /tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/uws
# > node-gyp rebuild > build_log.txt 2>&1 || exit 0
# > canvas-prebuilt@2.0.0-alpha.14 install /tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/canvas-prebuilt
# > node-pre-gyp install
# 404 status code downloading tarball https://github.com/chearon/node-canvas-prebuilt/releases/download/v2.0.0-alpha.14/canvas-prebuilt-v2.0.0-alpha.14-node-v48-linux-glibc-ppc64.tar.gz
# > node-zopfli@2.0.2 install /tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/node-zopfli
# > node-pre-gyp install --fallback-to-build
# make: Entering directory '/tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/node-zopfli/build'
# CXX(target) Release/obj.target/zopfli/src/zopfli-binding.o
# CXX(target) Release/obj.target/zopfli/src/png/zopflipng.o
# CC(target) Release/obj.target/zopfli/zopfli/src/zopfli/blocksplitter.o
# CC(target) Release/obj.target/zopfli/zopfli/src/zopfli/cache.o
# CC(target) Release/obj.target/zopfli/zopfli/src/zopfli/deflate.o
# CC(target) Release/obj.target/zopfli/zopfli/src/zopfli/gzip_container.o
# CC(target) Release/obj.target/zopfli/zopfli/src/zopfli/hash.o
# CC(target) Release/obj.target/zopfli/zopfli/src/zopfli/katajainen.o
# CC(target) Release/obj.target/zopfli/zopfli/src/zopfli/lz77.o
# CC(target) Release/obj.target/zopfli/zopfli/src/zopfli/squeeze.o
# CC(target) Release/obj.target/zopfli/zopfli/src/zopfli/tree.o
# CC(target) Release/obj.target/zopfli/zopfli/src/zopfli/util.o
# CC(target) Release/obj.target/zopfli/zopfli/src/zopfli/zlib_container.o
# CC(target) Release/obj.target/zopfli/zopfli/src/zopfli/zopfli_lib.o
# CXX(target) Release/obj.target/zopfli/zopfli/src/zopflipng/zopflipng_lib.o
# CXX(target) Release/obj.target/zopfli/zopfli/src/zopflipng/lodepng/lodepng.o
# CXX(target) Release/obj.target/zopfli/zopfli/src/zopflipng/lodepng/lodepng_util.o
# SOLINK_MODULE(target) Release/obj.target/zopfli.node
# COPY Release/zopfli.node
# COPY /tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/node-zopfli/lib/binding/node-v48-linux-ppc64/zopfli.node
# TOUCH Release/obj.target/action_after_build.stamp
# make: Leaving directory '/tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/node-zopfli/build'
# > sharp@0.20.8 install /tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/sharp
# > (node install/libvips && node install/dll-copy && prebuild-install) || (node-gyp rebuild && node install/dll-copy)
# make: Entering directory '/tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/sharp/build'
# TOUCH Release/obj.target/libvips-cpp.stamp
# CXX(target) Release/obj.target/sharp/src/common.o
# sharp.target.mk:121: recipe for target 'Release/obj.target/sharp/src/common.o' failed
# make: Leaving directory '/tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/sharp/build'
# npm WARN deprecated coffee-script@1.12.7: CoffeeScript on NPM has moved to "coffeescript" (no hyphen)
# npm WARN deprecated gulp-util@3.0.8: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/gulp-util-ca3b1f9f9ac5
# npm WARN deprecated cryptiles@2.0.5: This version is no longer maintained. Please upgrade to the latest version.
# npm WARN deprecated hoek@2.16.3: This version is no longer maintained. Please upgrade to the latest version.
# npm WARN deprecated boom@2.10.1: This version is no longer maintained. Please upgrade to the latest version.
# npm WARN deprecated circular-json@0.3.3: CircularJSON is in maintenance only, flatted is its successor.
# npm WARN deprecated circular-json@0.5.9: CircularJSON is in maintenance only, flatted is its successor.
# npm WARN deprecated nodemailer@2.7.2: All versions below 4.0.1 of Nodemailer are deprecated. See https://nodemailer.com/status/
# npm WARN deprecated node-uuid@1.4.8: Use uuid module instead
# npm WARN deprecated socks@1.1.9: If using 2.x branch, please upgrade to at least 2.1.6 to avoid a serious bug with socket data flow and an import issue introduced in 2.1.0
# npm WARN deprecated mailcomposer@4.0.1: This project is unmaintained
# npm WARN deprecated buildmail@4.0.1: This project is unmaintained
# npm WARN deprecated uws@9.14.0: stop using this version
# node-pre-gyp WARN Using request for node-pre-gyp https download
# node-pre-gyp ERR! install error
# node-pre-gyp ERR! stack Error: 404 status code downloading tarball https://github.com/chearon/node-canvas-prebuilt/releases/download/v2.0.0-alpha.14/canvas-prebuilt-v2.0.0-alpha.14-node-v48-linux-glibc-ppc64.tar.gz
# node-pre-gyp ERR! stack at Request. (/tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/node-pre-gyp/lib/install.js:137:27)
# node-pre-gyp ERR! stack at emitOne (events.js:101:20)
# node-pre-gyp ERR! stack at Request.emit (events.js:188:7)
# node-pre-gyp ERR! stack at Request.onRequestResponse (/tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/request/request.js:1066:10)
# node-pre-gyp ERR! stack at emitOne (events.js:96:13)
# node-pre-gyp ERR! stack at ClientRequest.emit (events.js:188:7)
# node-pre-gyp ERR! stack at HTTPParser.parserOnIncomingClient [as onIncoming] (_http_client.js:488:21)
# node-pre-gyp ERR! stack at HTTPParser.parserOnHeadersComplete (_http_common.js:99:23)
# node-pre-gyp ERR! stack at TLSSocket.socketOnData (_http_client.js:377:20)
# node-pre-gyp ERR! stack at emitOne (events.js:96:13)
# node-pre-gyp ERR! System Linux 4.4.0-137-generic
# node-pre-gyp ERR! command "/home/jenkins/.nvs/node/6.16.0/ppc64le/bin/node" "/tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/.bin/node-pre-gyp" "install"
# node-pre-gyp ERR! cwd /tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/canvas-prebuilt
# node-pre-gyp ERR! node -v v6.16.0
# node-pre-gyp ERR! node-pre-gyp -v v0.10.3
# node-pre-gyp ERR! not ok
# node-pre-gyp ERR! Tried to download(403): https://node-zopfli.s3.amazonaws.com/Release/zopfli-v2.0.2-node-v48-linux-ppc64.tar.gz
# node-pre-gyp ERR! Pre-built binaries not found for node-zopfli@2.0.2 and node@6.16.0 (node-v48 ABI, glibc) (falling back to source compile with node-gyp)
# ../src/zopfli-binding.cc: In member function virtual void nodezopfli::CompressWorker::HandleOKCallback():
# ../src/zopfli-binding.cc:137:27: warning: v8::Local Nan::Callback::Call(int, v8::Local*) const is deprecated [-Wdeprecated-declarations]
# callback->Call(2, argv);
# ^
# In file included from ../src/zopfli-binding.h:5:0,
# from ../src/zopfli-binding.cc:3:
# ../../nan/nan.h:1674:3: note: declared here
# Call(int argc, v8::Local argv[]) const {
# ^
# In file included from ../zopfli/src/zopfli/lz77.c:21:0:
# ../zopfli/src/zopfli/symbols.h:38:12: warning: ZopfliGetDistExtraBits defined but not used [-Wunused-function]
# static int ZopfliGetDistExtraBits(int dist) {
# ^
# ../zopfli/src/zopfli/symbols.h:61:12: warning: ZopfliGetDistExtraBitsValue defined but not used [-Wunused-function]
# static int ZopfliGetDistExtraBitsValue(int dist) {
# ^
# ../zopfli/src/zopfli/symbols.h:138:12: warning: ZopfliGetLengthExtraBits defined but not used [-Wunused-function]
# static int ZopfliGetLengthExtraBits(int l) {
# ^
# ../zopfli/src/zopfli/symbols.h:161:12: warning: ZopfliGetLengthExtraBitsValue defined but not used [-Wunused-function]
# static int ZopfliGetLengthExtraBitsValue(int l) {
# ^
# ../zopfli/src/zopfli/symbols.h:222:12: warning: ZopfliGetLengthSymbolExtraBits defined but not used [-Wunused-function]
# static int ZopfliGetLengthSymbolExtraBits(int s) {
# ^
# ../zopfli/src/zopfli/symbols.h:231:12: warning: ZopfliGetDistSymbolExtraBits defined but not used [-Wunused-function]
# static int ZopfliGetDistSymbolExtraBits(int s) {
# ^
# In file included from ../zopfli/src/zopfli/squeeze.c:28:0:
# ../zopfli/src/zopfli/symbols.h:61:12: warning: ZopfliGetDistExtraBitsValue defined but not used [-Wunused-function]
# static int ZopfliGetDistExtraBitsValue(int dist) {
# ^
# ../zopfli/src/zopfli/symbols.h:161:12: warning: ZopfliGetLengthExtraBitsValue defined but not used [-Wunused-function]
# static int ZopfliGetLengthExtraBitsValue(int l) {
# ^
# ../zopfli/src/zopfli/symbols.h:222:12: warning: ZopfliGetLengthSymbolExtraBits defined but not used [-Wunused-function]
# static int ZopfliGetLengthSymbolExtraBits(int s) {
# ^
# ../zopfli/src/zopfli/symbols.h:231:12: warning: ZopfliGetDistSymbolExtraBits defined but not used [-Wunused-function]
# static int ZopfliGetDistSymbolExtraBits(int s) {
# ^
# info sharp Downloading https://github.com/lovell/sharp-libvips/releases/download/v8.6.1/libvips-8.6.1-linux-ppc64.tar.gz
# /tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/sharp/install/libvips.js:79
# throw new Error(`Status ${response.statusCode}`);
# ^
# Error: Status 404
# at /tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/sharp/install/libvips.js:79:17
# at f (/tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/once/once.js:25:25)
# at ClientRequest. (/tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/simple-get/index.js:74:5)
# at ClientRequest.g (events.js:292:16)
# at emitOne (events.js:96:13)
# at ClientRequest.emit (events.js:188:7)
# at HTTPParser.parserOnIncomingClient [as onIncoming] (_http_client.js:488:21)
# at HTTPParser.parserOnHeadersComplete (_http_common.js:99:23)
# at TLSSocket.socketOnData (_http_client.js:377:20)
# at emitOne (events.js:96:13)
# ../src/common.cc:25:22: fatal error: vips/vips8: No such file or directory
# compilation terminated.
# make: *** [Release/obj.target/sharp/src/common.o] Error 1
# gyp ERR! build error
# gyp ERR! stack Error: `make` failed with exit code: 2
# gyp ERR! stack at ChildProcess.onExit (/home/jenkins/.nvs/node/6.16.0/ppc64le/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:276:23)
# gyp ERR! stack at emitTwo (events.js:106:13)
# gyp ERR! stack at ChildProcess.emit (events.js:191:7)
# gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:219:12)
# gyp ERR! System Linux 4.4.0-137-generic
# gyp ERR! command "/home/jenkins/.nvs/node/6.16.0/ppc64le/bin/node" "/home/jenkins/.nvs/node/6.16.0/ppc64le/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
# gyp ERR! cwd /tmp/5aaf9096-e4b6-4bc5-a341-a658a2b12036/mocha/node_modules/sharp
# gyp ERR! node -v v6.16.0
# gyp ERR! node-gyp -v v3.4.0
# gyp ERR! not ok duration_ms: 653567 ... 1..1